Skip to main content
POST
Create or update Merlin's non-secret configuration
This endpoint requires authentication. Include your Bearer token in the Authorization header.

Description

credentials — save those with PUT /capabilities/merlin/credentials. Supplying credentials (or a bare credential key: host, port, username, password, secure, secureOptions, passiveMode, timeout) here is rejected. Authorization:
  • Required role: owner only

Code Examples

Authorizations

Authorization
string
header
required

JWT Authorization header using the Bearer scheme. Format: "Bearer {token}"

Body

application/json
features
object
importConfig
object

Partial MerlinImportConfig fields (see PUT /merlin/import/config).

Response

Configuration stored successfully

status
string
Example:

"success"

message
string
Example:

"Merlin configuration saved successfully"

data
object